## camel-charset-map camel-charset-map |

## Functions

void | camel_charset_init ()
void | camel_charset_step ()
const gchar * | camel_charset_best_name ()
const gchar * | camel_charset_best ()
const gchar * | camel_charset_iso_to_windows ()

## Types and Values

struct | CamelCharset

## Description

## Functions

### camel_charset_init ()

    void
    camel_charset_init (CamelCharset *c);

### camel_charset_step ()

    void
    camel_charset_step (CamelCharset *cc,
                        const gchar *in,
                        gint len);

Processes more input text with the `cc` .

#### Parameters

cc | a CamelCharset |
in | input text. | [array length=len][type gchar]
len | length of the input text |

### camel_charset_best_name ()

    const gchar *
    camel_charset_best_name (CamelCharset *charset);

### camel_charset_best ()

    const gchar *
    camel_charset_best (const gchar *in,
                        gint len);

Finds the minimum charset for this string NULL means US-ASCII.

#### Parameters

in | input text. | [array length=len][type gchar]
len | length of the input text |

#### Returns

the minimum charset or NULL for US_ASCII.

[nullable]

### camel_charset_iso_to_windows ()

    const gchar *
    camel_charset_iso_to_windows (const gchar *isocharset);

#### Parameters

isocharset | a canonicalised ISO charset |

#### Returns

the equivalent Windows charset.

## Types and Values

### struct CamelCharset

    struct CamelCharset {
    	guint mask;
    	gint level;
    };